Subject: [Dawn] Re: A reworked draft charter for DAWN
From: Hesham Moussa <[email-masked]>
To: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "'Eric Vyncke (evyncke)'" <[email-masked]>
Date: Mon, 22 Jun 2026 14:16:56 +0000
List-Id: "The list is for discussion of the scope, use cases, requirements, and solutions for discovery of entities (e.g., tasks, AI agents, or endpoints) using IETF technologies." <dawn.ietf.org>

Hi Adrian and Wes,

Thank you for updating the charter and for the work you’ve put into this effort.

I would like to suggest clarifying that the starting point includes the discovery of AI agents, agentic tools, and agentic skills. The discovery of these entities currently represents the most prominent and active set of discovery targets, as demonstrated by ongoing work in both the IETF and the open‑source community, including efforts such as A2A and MCP. With that in mind, we might consider adjusting the current sentence:

“Although initially focused on discovery of AI agents, the WG is expected to produce results that are general and reusable within other discovery contexts whenever possible.”

to something along the lines of:

“Although initially focused on discovery of AI agents, agentic tools, and agentic skills, the WG is expected to produce results that are general and reusable within other discovery contexts whenever possible.”

Regarding the DNS sentence , “The WG will consider the DNS as a likely initial protocol upon which to build a discovery protocol.”,  I wonder whether it would be better if we say that one of the WG’s first tasks it to identify which initial protocols are suitable to build upon, rather than highlighting a specific protocol from the outset. This may help ensure that the group evaluates all options with an open and neutral starting point.

Thoughts??

Regards,  
Hesham

-----Original Message-----
From: Adrian Farrel <[email-masked]> 
Sent: Saturday, June 20, 2026 6:10 AM
To: [email-masked]
Cc: [email-masked]; 'Eric Vyncke (evyncke)' <[email-masked]>
Subject: [Dawn] A reworked draft charter for DAWN

Hi,

Now that the BoF is approved and we have some I-Ds to fill in the background, Wes and I have been working on the draft charter text for a potential DAWN working group.

You can find the working copy at
https://github.com/danielkinguk/discovery/blob/main/charter/dawn-charter-02.
md 

First step was to halve the number of words (sorry, the initial verbosity was mainly my fault).

Then we also worked to focus in on the distinctions between the WG's initial focus and what might come later. This was addressing two key questions:

1. Should the WG work only on AI agent discovery, or should it be open to more general "entity" discovery?
Here, we noted that most of the drafts that have been posted are dealing with AI agent discovery, and the need for work in that area could be described as "pressing".
On the other hand, it seems highly likely that in solving AI agent discovery we could also solve discovery for a range of similar entities.
That leads us to suggest the WG should initially be focused on discovery of AI agents, but that the WG is expected to produce results that are general and reusable within other discovery contexts whenever possible.

2. Should the WG select between a number of possible solution technologies, or should it build immediately on DNS?
A number of factors influenced us here:
- There is often a preference to use pre-existing IETF technology where possible.
- A quick start will re-use or modify existing code, but can then be developed along different lines.
- There are probably two stages to "discovery", the first being relatively simple discovery, the second being the exchange and negotiation of capabilities and other information.
- We are not certain at this stage that DNS will do the job.
This lead us to suggest that, "Where possible, any solutions work will be built in a modular way using existing IETF protocols that provide support for any needed communication, authentication and privacy. The WG will consider the DNS as a likely initial protocol upon which to build a discovery protocol."

We would very much like to hear discussion (or just words of
approval/opprobrium) on the charter text and these two questions.

Thanks,
Adrian (per pro Wes)

_______________________________________________
Dawn mailing list -- [email-masked]
To unsubscribe send an email to [email-masked]